%{?build_selinux}%{?!build_selinux:%bcond_with selinux}

Summary:	Rotates, compresses, removes and mails system log files
Name:		logrotate
Version:	3.9.2
Release:	1
License:	GPLv2+
Group:		File tools
Url:		https://fedorahosted.org/logrotate/
Source0:	https://fedorahosted.org/releases/l/o/logrotate/%{name}-%{version}.tar.gz
Source1:	logrotate.conf
Source2:	logrotate.cron
BuildRequires:	acl-devel
%if %{with selinux}
BuildRequires:	pkgconfig(libselinux)
%endif
BuildRequires:	pkgconfig(popt)
Requires(post):	bash
Requires(post):	coreutils

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.

%files
%doc CHANGES COPYING examples README*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}
%{_sysconfdir}/%{name}.d
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%{_mandir}/man5/%{name}.conf.5*

%post
if [ $1 = 1 ]; then
    # installation
    /bin/touch %{_var}/lib/logrotate.status
fi

#----------------------------------------------------------------------------

%prep
%setup -q

%build
./autogen.sh
%configure2_5x \
%if %{with selinux}
	--with-selinux
%else
	--without-selinux
%endif
%make

%install
%makeinstall_std

mkdir -p %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf

mkdir -p %{buildroot}%{_sysconfdir}/cron.daily
install -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d


%changelog

* Fri Apr 15 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.9.2-1
- (9696f80) Add conditional selinux build (depends on distro config)


